0 Пользователей и 1 Гость просматривают эту тему.
  • 5 Ответов
  • 2248 Просмотров
*

striganov-com

  • Захожу иногда
  • 15
  • 0 / 0
Сайт работает за прокси: xxx.xxx.xxx.xxx:3129
Сейчас система пишет:

Joomla! 2.5.3
Версия Joomla! соответствует наипоследней!

И это при том, что актуальна уже "Joomla 2.5.6 Released"

Вручную скачивать обновления и устанавливать - конечно можно.
Но как вылечить, чтобы работало штатными средствами.
Где в инсталляторе прокси указать?

Или хоть в каком PHP или JS правки делать?
*

era

  • Администратор
  • 1679
  • 388 / 5
  • В туалете лучше быть пользователем, чем админом.
думаю что надо или разрешить серверу внутреннему выход внаружу или прозрачный маскардинг - и то и то - к админу.
*

Marques

  • Живу я здесь
  • 1443
  • 190 / 9
  • Ctrl+F5
Вручную скачивать обновления и устанавливать - конечно можно.
Но как вылечить, чтобы работало штатными средствами.

А метод по старинке уже не модный ? :) Я имею в виду скачать пакет обновления с оф.сайта и за пол минуты обновить движок ?
Зануда перфекционист, не признающий авторитетов, ищет легкую работу за большие деньги - http://dtkp.ru/ s@dtkp.ru
*

striganov-com

  • Захожу иногда
  • 15
  • 0 / 0
Я начал переписывать функции Joomla, которые отвечают за установку и обновление.
Первой через прокси сервер начала работать функция, отвечающая за установку из URL
(проба пера, так cказать).
Очень хотелось бы услышать здоровую критику по существу. (а не вопросы типа "зачем тебе это вообще нужно")

--
В 18:50 Немного подправил код.
(автоматическое переключение на прокси, если он указан в конфигурации)
« Последнее редактирование: 27.07.2012, 18:55:40 от striganov-com »
*

Marques

  • Живу я здесь
  • 1443
  • 190 / 9
  • Ctrl+F5
Зачем это нужно ? Эта ваша функция нужна 1 из 10000 пользователей Joomla, ибо у подавляющего большинства она стоит на нормальных веб-серверах и никаких прокси там нет, ну а те кто имеют похожую ситуацию (корпоративный внутренний сервак, например) либо никогда этим заморачиваться не будут, либо обновляют по старинке.

Вы бы лучше переписали функции обновления движка Joomla на cURL вместо fopen - это более полезное дело, так как у многих хостингов в PHP  allow_url_fopen заблокирована, и cURL может помочь в этом.
Зануда перфекционист, не признающий авторитетов, ищет легкую работу за большие деньги - http://dtkp.ru/ s@dtkp.ru
*

striganov-com

  • Захожу иногда
  • 15
  • 0 / 0
Да, cURL лучше - он умеет работать через прокси (в отличие от fopen).
Но бывает, что он тоже отключен.

Нужно сначала понять какой транспорт более надежный и доступный.
Сокеты ?  fsockopen ?
А еще поддержка устаревшего php 4 на кой-то черт там сидит, только код утяжеляет и запутывает.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

ошибка после обновления c Joomla 2.5 до 3

Автор akondr

Ответов: 0
Просмотров: 234
Последний ответ 21.11.2017, 16:20:49
от akondr
Сайт на Joomla 2.5 взломан.

Автор Likur

Ответов: 14
Просмотров: 534
Последний ответ 21.08.2017, 21:49:28
от ProtectYourSite
Не обновляется Joomla 2.5.28

Автор SPMBes

Ответов: 45
Просмотров: 1618
Последний ответ 02.08.2017, 13:11:34
от lexxbry
Установка Joomla 2.5.28

Автор Alazi

Ответов: 3
Просмотров: 360
Последний ответ 17.05.2017, 14:10:22
от SeBun
Joomla 2.5 нужна помощь

Автор bog

Ответов: 1
Просмотров: 542
Последний ответ 31.03.2017, 15:19:12
от voland